# $Revision: 1.12 $, $Date: 2004/04/07 21:19:36 $
Summary:	Portable and tiny constant database
Summary(pl):	Przenona i maa staa baza danych
Name:		pure-db
Version:	2.1
Release:	2
License:	GPL
Group:		Applications/Databases
Source0:	http://pureftpd.sourceforge.net/puredb/%{name}-%{version}.tar.gz
# Source0-md5:	2fdf5771c169877218b1f83852f8cad4
URL:		http://pureftpd.sourceforge.net/puredb/
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PureDB is a portable and tiny set of libraries for creating and
reading constant databases. It manages data files that contains text
or binary key/data pairs of arbitrary sizes. Lookups are very fast
(normally only one disk access to match a hash value), overhead is low
(a database is 1028 bytes plus only 16 extra bytes per record),
multiple concurrent read access are supported, and databases can be up
to 4 Gb long, and they are portable accross architectures.

%description -l pl
PureDB to zestaw bibliotek do tworzenia i odczytu staych baz danych.
Zarzdzaj one plikami z danymi, ktre zawieraj tekst lub binarne
pary klucz/dane okrelonych rozmiarw. Wyszukiwania s bardzo szybkie
(normalnie jeden dostp do dysku by znale warto klucza), rozmiar
bazy jest niewielki (1028 bajtw + 16 ekstra bajtw na jeden rekord),
wiele rwnoczesnych odczytw z bazy jest obsugiwanych, bazy mog
osiga wielko do 4Gb, a ponadto s one przenone pomidzy
architekturami.

%package devel
Summary:	Header files and development documentation for pure-db
Summary(pl):	Pliki nagwkowe i dokumentacja do pure-db
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for pure-db.

%description devel -l pl
Pliki nagwkowe i dokumentacja do pure-db.

%package static
Summary:	Static pure-db library
Summary(pl):	Biblioteka statyczna pure-db
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static pure-db library.

%description static -l pl
Biblioteka statyczna pure-db.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pure-db.spec,v $
Revision 1.12  2004/04/07 21:19:36  qboosh
- fixed build on amd64, cleanups, strict internal deps, release 2

Revision 1.11  2003/10/26 13:39:55  arekm
- updated to 2.1

Revision 1.10  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.9  2003/05/28 13:01:26  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/11/25 14:17:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.6  2002/06/17 10:52:12  trojan
- fixed Summary
- new %%doc packing infrastructure
- release 2; STBR

Revision 1.5  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/19 23:16:54  kloczek
- cosmetics.

Revision 1.1  2001/10/19 18:55:21  misiek
- initial pld release
